Lookup single agent configuration

Base URL
https://{kibana_url}
  • POST /api/apm/settings/agent-configuration/search
  • POST /s/{space_id}/api/apm/settings/agent-configuration/search
Auth

This endpoint allows to search for single agent configuration and update 'applied_by_agent' field.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

elastic-api-version enum · default: 2023-10-31 required

The version of the API to use

Values: 2023-10-31
kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

etag string

If etags match then applied_by_agent field will be set to true

mark_as_applied_by_agent boolean

markAsAppliedByAgent=true means "force setting it to true regardless of etag". This is needed for Jaeger agent that doesn't have etags

service object required

Service

environment string

Environment

name string

Name

Responses

Successful response

application/json
_id string

Identifier

_index string

Index

_score number

Score

_source object

Agent configuration

@timestamp number required

Timestamp

agent_name string

Agent name

applied_by_agent boolean

Applied by agent

etag string required

Etag

service object required

Service

environment string

Environment

name string

Name

settings map string to string required

Agent configuration settings

Bad Request response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Unauthorized response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Not found response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Base URL
https://{kibana_url}